# $Id: smeserver-geneweb.spec,v 1.1 2013/03/03 04:48:05 unnilennium Exp $
# Authority: fetcher
# Name: Craig D. Jensen

Summary: Package to integrate GeneWeb (V5) into SME Server
%define name smeserver-geneweb
Name: %{name}
%define version 2.0 
%define release 24
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.gz
Patch1: smeserver-geneweb-2.0-pod-corrections.patch
Patch2: smeserver-geneweb-2.0-ip_number-validation.patch
Patch3: smeserver-geneweb-2.0-locale-2008-03-11.patch
Patch4: smeserver-geneweb-2.0-locale-2008-04-01.patch
Patch5: smeserver-geneweb-2.0-locale-2008-04-22.patch
Patch6: smeserver-geneweb-2.0-locale-2008-05-21.patch
Patch7: smeserver-geneweb-2.0-locale-2008-06-27.patch
Patch8: smeserver-geneweb-2.0-locale-2008-07-01.patch
Patch9: smeserver-geneweb-2.0-locale-2008-10-14.patch
Patch10: smeserver-geneweb-2.0-locale-2009-01-01.patch
Patch11: smeserver-geneweb-2.0-locale-2009-01-31.patch
Patch12: smeserver-geneweb-2.0-locale-2009-03-01.patch
Patch13: smeserver-geneweb-2.0-locale-2009-03-03.patch
Patch14: smeserver-geneweb-2.0-locale-2009-04-27.patch
Patch15: smeserver-geneweb-2.0-locale-2009-08-24.patch
Patch16: smeserver-geneweb-2.0-locale-2009-10-27.patch
Patch17: smeserver-geneweb-2.0-locale-2011-03-06.patch
Patch18: smeserver-geneweb-2.0-locale-2011-04-27.patch
Patch19: smeserver-geneweb-2.0-locale-2012-03-20.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: geneweb >= 5.00
Requires: smeserver-release >= 7.0
Requires: e-smith-formmagick >= 1.4.0-10
BuildRequires: e-smith-devtools

%description
This RPM must be installed after the geneweb*.el4.sme.i386.rpm package
to complete the integration for SME Server.

%changelog
* Tue Mar 20 2012 SME Translation Server <translations@contribs.org> 2.0-24.el6
- apply locale 2012-03-20 patch

* Wed Apr 27 2011 SME Translation Server <translations@contribs.org> 2.0-23.sme
- apply locale 2011-04-27 patch

* Sun Mar 06 2011 SME Translation Server <translations@contribs.org> 2.0-22.sme
- apply locale 2011-03-06 patch

* Tue Oct 27 2009 SME Translation Server <translations@contribs.org> 2.0-21.sme
- apply locale 2009-10-27 patch

* Mon Aug 24 2009 SME Translation Server <translations@contribs.org> 2.0-20.sme
- apply locale 2009-08-24 patch

* Mon Apr 27 2009 SME Translation Server <translations@contribs.org> 2.0-19.sme
- apply locale 2009-04-27 patch

* Tue Mar 03 2009 SME Translation Server
- apply locale 2009-03-03 patch

* Sun Mar  1 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 2.0-17
- Apply  1 Mar 2009 locale patch [SME: 5018]

* Sat Jan 31 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 2.0-16
- Apply 31 Jan 2009 locale patch [SME: 4951]

* Thu Jan  1 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 2.0-15
- Apply  1 Jan 2009 locale patch [SME: 4900]

* Tue Oct 14 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.0-14
- Apply 14 Oct 2008 locale patch

* Tue Jul 1 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.0-13
- Apply 1 July 2008 locale patch

* Fri Jun 27 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.0-12
- Apply 27 Jun 2008 locale patch
- Fix version number in previous changelog entry

* Thu May 21 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.0-11
- Apply 21 May 2008 locale patch

* Tue Apr 22 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.0-10
- Forgot to apply patch

* Tue Apr 22 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.0-9
- Added 22 April 2008 locale

* Tue Apr 1 2008 Shad L. Lords <slords@mail.com> 2.0-8
- Update to UTF-8 translations

* Wed Mar 12 2008 Shad L. Lords <slords@mail.com> - 2.0-7
- Add requires for e-smith-formmagick for UTF-8 support [SME: 3858]

* Tue Mar 11 2008 Stephen Noble <support@dungog.net> - 2.0-6
- add locale patch, validate lexicon in spec

* Tue Jan 15 2008 Craig Jensen <craig.d.jensen@gmail.com> 2.0-5
- geneweb.pm fix to correctly validate IP numbers 'and' localIP

* Sun Jan 13 2008 Craig Jensen <craig.d.jensen@gmail.com> 2.0-4
- geneweb.pm edited for pod corrections (pass podchecker)

* Thu Apr 12 2007 Craig D. Jensen <craig.d.jensen@gmail.com>
- [2.0-1] First companion to Geneweb v5 w/panel for admin allowing
  for setting the desired IP on the LAN for Geneweb administrative
  access.

%prep

rm -rf $RPM_BUILD_ROOT

%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1

%build
perl createlinks
DEFAULTS=root/etc/e-smith/db/configuration/defaults/geneweb
mkdir -p $DEFAULTS
echo "service" > $DEFAULTS/type
echo "disabled" > $DEFAULTS/status
echo "127.0.0.1" >$DEFAULTS/only

LEXICONS=$(find root/etc/e-smith/{locale/,web/functions/} -type f )
for lexicon in $LEXICONS
do
    /sbin/e-smith/validate-lexicon $lexicon
done

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist

%defattr(-,root,root)

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%post
/etc/e-smith/events/actions/navigation-conf
#/etc/e-smith/events/actions/initialize-default-databases
#mkdir -p /etc/e-smith/templates/etc/rc.d/init.d/masq
#/bin/chmod 644 /etc/e-smith/templates/etc/rc.d/init.d/masq/45AllowGeneWeb
/sbin/e-smith/expand-template /etc/rc.d/init.d/masq
#/etc/rc.d/init.d/masq restart
true

%preun
/sbin/e-smith/db configuration setprop geneweb status disabled
/etc/rc.d/init.d/gwd stop
true

%postun
/sbin/e-smith/expand-template /etc/rc.d/init.d/masq
#/etc/rc.d/init.d/masq restart
